import type { Behavior } from "./behavior";
import type { Readable, Writable } from 'svelte/store';
export interface Checkable {
    checked: boolean;
}
export declare function ariaChecked(store: Readable<Checkable>): Behavior;
export declare function toggleChecked(store: Writable<Checkable>): () => void;
