export function ariaExpanded(store) {
    return node => store.subscribe(state => {
        node.setAttribute('aria-expanded', state.expanded.toString());
    });
}
export function toggleExpanded(store) {
    return () => store.update(state => ({ ...state, expanded: !state.expanded }));
}
