export function ariaLabel(store) {
    return node => store.subscribe(state => {
        if (state.label) {
            node.setAttribute('aria-label', state.label);
        }
        else {
            node.removeAttribute('aria-label');
        }
    });
}
