import type { Writable } from "svelte/store";
import type { Behavior } from "./behavior";
export interface Searchable {
    query: string;
}
declare type SearchFn = (query: string) => void;
export declare function onKeyboard(fn: SearchFn): Behavior;
export declare function searchItems(store: Writable<Searchable>): SearchFn;
export {};
