import { type Writable } from "svelte/store";
import { type Checkable } from "./internal/aria-checked";
import { type Labelable } from "./internal/aria-label";
export interface Switch extends Labelable, Checkable {
}
export declare const createSwitchBehaviors: (store: Writable<Switch>) => import("./internal/behavior").Behavior[];
export declare function createSwitch(state: Partial<Switch>): {
    state: {
        subscribe: (this: void, run: import("svelte/store").Subscriber<{
            label: string;
            checked: boolean;
        }>, invalidate?: ((value?: {
            label: string;
            checked: boolean;
        } | undefined) => void) | undefined) => import("svelte/store").Unsubscriber;
    };
    toggleSwitch: (node: HTMLElement) => {
        destroy(): void;
    };
};
