import { type Writable } from "svelte/store";
import { type Labelable } from "./internal/aria-label";
import { type Pressable } from "./internal/aria-pressed";
export interface Button extends Labelable, Pressable {
}
export declare const createButtonBehaviors: (store: Writable<Button>) => import("./internal/behavior").Behavior[];
export declare function createButton(state: Partial<Button>): {
    state: {
        subscribe: (this: void, run: import("svelte/store").Subscriber<{
            label: string;
            pressed: boolean;
        }>, invalidate?: ((value?: {
            label: string;
            pressed: boolean;
        } | undefined) => void) | undefined) => import("svelte/store").Unsubscriber;
    };
    button: (node: HTMLElement) => {
        destroy(): void;
    };
};
