export function ariaChecked(store) {
    return node => store.subscribe(state => {
        node.setAttribute('aria-checked', state.checked.toString());
    });
}
export function toggleChecked(store) {
    return () => store.update(state => ({ ...state, checked: !state.checked }));
}
