import type { Behavior } from "./behavior";
import type { Readable, Writable } from 'svelte/store';
export interface Expandable {
    expanded: boolean;
}
export declare function ariaExpanded(store: Readable<Expandable>): Behavior;
export declare function toggleExpanded(store: Writable<Expandable>): () => void;
