export function applyBehaviors(node, behaviors) {
    const unsubscribes = behaviors.map(behavior => behavior(node)).filter(x => x !== undefined);
    return () => unsubscribes.forEach(unsubscribe => unsubscribe && unsubscribe());
}
